---
title: Upload LOA Document
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Addressing](https://developers.cloudflare.com/api/python/resources/addressing)

[LOA Documents](https://developers.cloudflare.com/api/python/resources/addressing/subresources/loa_documents)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Upload LOA Document

addressing.loa\_documents.create(LOADocumentCreateParams\*\*kwargs) -> [LOADocumentCreateResponse](<https://developers.cloudflare.com/api/python/resources/addressing#(resource)%20addressing.loa_documents%20%3E%20(model)%20loa_document_create_response%20%3E%20(schema)>)

POST/accounts/{account\_id}/addressing/loa\_documents

Submit LOA document (pdf format) under the account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Magic Transit Write`

##### ParametersExpand Collapse

account\_id: str

Identifier of a Cloudflare account.

maxLength32

[Link to this property](<#(resource)%20addressing.loa_documents%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

loa\_document: str

LOA document to upload.

[Link to this property](<#(resource)%20addressing.loa_documents%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20loa_document%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class LOADocumentCreateResponse: …

</summary>

id: Optional\[str]

Identifier for the uploaded LOA document.

maxLength32

<a href="#(resource)%20addressing.loa_documents%20%3E%20(model)%20loa_document_create_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

account\_id: Optional\[str]

Identifier of a Cloudflare account.

maxLength32

<a href="#(resource)%20addressing.loa_documents%20%3E%20(model)%20loa_document_create_response%20%3E%20(schema)%20%3E%20(property)%20account_id">Link to this property</a>

auto\_generated: Optional\[bool]

Whether the LOA has been auto-generated for the prefix owner by Cloudflare.

<a href="#(resource)%20addressing.loa_documents%20%3E%20(model)%20loa_document_create_response%20%3E%20(schema)%20%3E%20(property)%20auto_generated">Link to this property</a>

created: Optional\[datetime]

formatdate-time

<a href="#(resource)%20addressing.loa_documents%20%3E%20(model)%20loa_document_create_response%20%3E%20(schema)%20%3E%20(property)%20created">Link to this property</a>

filename: Optional\[str]

Name of LOA document. Max file size 10MB, and supported filetype is pdf.

<a href="#(resource)%20addressing.loa_documents%20%3E%20(model)%20loa_document_create_response%20%3E%20(schema)%20%3E%20(property)%20filename">Link to this property</a>

size\_bytes: Optional\[int]

File size of the uploaded LOA document.

<a href="#(resource)%20addressing.loa_documents%20%3E%20(model)%20loa_document_create_response%20%3E%20(schema)%20%3E%20(property)%20size_bytes">Link to this property</a>

verified: Optional\[bool]

Whether the LOA has been verified by Cloudflare staff.

<a href="#(resource)%20addressing.loa_documents%20%3E%20(model)%20loa_document_create_response%20%3E%20(schema)%20%3E%20(property)%20verified">Link to this property</a>

verified\_at: Optional\[datetime]

Timestamp of the moment the LOA was marked as validated.

formatdate-time

<a href="#(resource)%20addressing.loa_documents%20%3E%20(model)%20loa_document_create_response%20%3E%20(schema)%20%3E%20(property)%20verified_at">Link to this property</a>

</details>

[Link to this property](<#(resource)%20addressing.loa_documents%20%3E%20(model)%20loa_document_create_response%20%3E%20(schema)>)

### Upload LOA Document

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
loa_document = client.addressing.loa_documents.create(
    account_id="258def64c72dae45f3e4c8516e2111f2",
    loa_document="@document.pdf",
)
print(loa_document.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "d933b1530bc56c9953cf8ce166da8004",
    "account_id": "258def64c72dae45f3e4c8516e2111f2",
    "auto_generated": true,
    "created": "2014-01-01T05:20:00.12345Z",
    "filename": "site_loa_doc.pdf",
    "size_bytes": 444,
    "verified": true,
    "verified_at": "2019-12-27T18:11:19.117Z"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "d933b1530bc56c9953cf8ce166da8004",
    "account_id": "258def64c72dae45f3e4c8516e2111f2",
    "auto_generated": true,
    "created": "2014-01-01T05:20:00.12345Z",
    "filename": "site_loa_doc.pdf",
    "size_bytes": 444,
    "verified": true,
    "verified_at": "2019-12-27T18:11:19.117Z"
  }
}
```